All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.filters.timebased.olap.html
Class OLAPTimeBasedFilterSelectorPanel

    com.sas.servlet.tbeans.dataselectors.filters.timebased.olap.html.OLAPTimeBasedFilterSelectorPanel

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.collection.ContentsChangedListener, ComponentSelectorInterface, ComponentSelectorPanelInterface, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, OLAPTimeBasedFilterSelectorKeysInterface, OLAPTimeBasedFilterSelectorStyleKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable, java.util.EventListener

    @SASScope(value="ALL")
    public class OLAPTimeBasedFilterSelectorPanel

implements OLAPTimeBasedFilterSelectorKeysInterface, OLAPTimeBasedFilterSelectorStyleKeysInterface, ComponentSelectorPanelInterface

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME` The default file name for the template for this panel.
`protected boolean` | `isComponent`
`protected java.lang.String` | `isNPeriodsMinValueValidErrorMessage`
`protected java.lang.String` | `isNPeriodsNonBlankErrorMessage`
`protected java.lang.String` | `isNPeriodsNonIntegerErrorMessage`
`protected java.lang.String` | `isNPeriodsNonNumericErrorMessage`
`protected java.lang.String` | `noEndingPeriodSelectedErrorMessage`
`protected java.lang.String` | `noStartingPeriodSelectedErrorMessage`
`protected static java.lang.String` | `RADIOBOX_LABEL_STYLEMAP_KEY`
`protected static java.lang.String` | `RADIOBOX_STYLEMAP_KEY`
`static java.lang.String` | `RB_KEY`
`static java.lang.String` | `RB_KEY2`

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`imageLocation, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.filters.timebased.olap.html.OLAPTimeBasedFilterSelectorKeysInterface
`OTFS_CURRENT_FIRST_PERIOD_LABEL, OTFS_CURRENT_LAST_PERIOD_LABEL, OTFS_END_TREE, OTFS_ENDING_LABEL, OTFS_ENDING_RADIO, OTFS_FIRST_ENDING_RADIO, OTFS_FIRST_SHOW_RADIO, OTFS_FIRST_STARTING_RADIO, OTFS_ID, OTFS_LEGEND_LABEL, OTFS_NUMBER_OF_PERIODS_TEXT_ENTRY, OTFS_PERIOD_TYPE_CHOICE, OTFS_PERIOD_TYPE_LABEL, OTFS_SELECT_CHECK_BOX_LIST, OTFS_SELECT_CHECK_BOX_LIST_ID, OTFS_SELECT_LABEL, OTFS_SELECT_LABEL_ID, OTFS_SELECT_RADIO, OTFS_SELECT_RADIO_ID, OTFS_SHOW_LABEL, OTFS_SHOW_RADIO, OTFS_START_TREE, OTFS_STARTING_LABEL, OTFS_STARTING_RADIO`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.filters.timebased.olap.html.OLAPTimeBasedFilterSelectorStyleKeysInterface
`OTFS_CHOICE_STYLE, OTFS_COMPONENT_SPACER_STYLE, OTFS_FIELDSET_LEGEND_STYLE, OTFS_LABEL_STYLE, OTFS_RADIO_LABEL_ITALIC_STYLE, OTFS_SELECTOR_ROW_SPACER_STYLE, OTFS_TEXT_ENTRY_STYLE`

Constructor Summary
`OLAPTimeBasedFilterSelectorPanel()` Default constructor.
`OLAPTimeBasedFilterSelectorPanel(java.lang.String name)` Constructor using the given name.
`OLAPTimeBasedFilterSelectorPanel(java.lang.String name, Form containerTreeRemoteScriptForm)`

Method Summary
`protected void` | `addComponents()` Creates the components and adds them to the selector's template dictionary.
`void` | `cleanUpResources()` This method releases all of the necessary resources that were needed by the transformation bean to render itself.
`void` | `close()` Base implementation that does nothing.
`java.lang.String` | `getContainerFormName()` Returns the name of the form object of the container panel.
`java.lang.String` | `getContainerRemoteScriptingFormName()` Returns the name of the remote scripting form object of the container panel.
`java.lang.String` | `getJavaScriptOLAPTimeBasedFilterSelectorVariableName()`
`boolean` | `isComponent()`
`protected void` | `setComponentValues()` Populates ChoiceBoxes TextEntries etc.
`void` | `setContainerFormName(java.lang.String value)` Sets the name of the form object of the container panel.
`void` | `setContainerRemoteScriptingFormName(java.lang.String value)` Sets the name of the remote scripting form object of the container panel.
`protected void` | `setContainerRemoteTreeScriptForm(Form form)`
`void` | `setIsComponent(boolean isComponent)` Sets the isComponent flag
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets the locale dependent properties.
`void` | `setSelectorModel(java.lang.Object selectormodel)` Sets the selector's data model
`void` | `write(java.io.PrintWriter out)` Writes the custom attributes of the object.
`void` | `write(java.io.PrintWriter out, boolean isComponent)`
`protected void` | `writeActionProviderFields(java.io.PrintWriter out)` Writes the fields needed to identify the ActionProvider, the CMDID and the selector's MODE.
`void` | `writeRemoteScriptCommands(java.io.PrintWriter out)` Writes out the remote script commands for updating the selector

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.SelectorPanel
`getAdditionalParameters, getDefaultFormObject, getFormObject, getIframeName, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject, setIframeName, writeRemoteScriptFrame, writeSelectorPanelFooter, writeSelectorPanelHeader`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`contentsChanged, getActionProvider, getCommandId, getImageLocation, getSelector, getSelectorModel, setActionProvider, setCommandId, setImageLocation, setSelector`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### isComponent

    protected boolean isComponent

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### RB_KEY2

    public static final java.lang.String RB_KEY2

See Also:
  Constant Field Values

### DEFAULT_TEMPLATE_FILE_NAME

    public static final java.lang.String DEFAULT_TEMPLATE_FILE_NAME

  The default file name for the template for this panel. "OLAPTimeBasedFilterSelectorPanel.html"

  See Also:
    Constant Field Values

### RADIOBOX_STYLEMAP_KEY

    protected static java.lang.String RADIOBOX_STYLEMAP_KEY

### RADIOBOX_LABEL_STYLEMAP_KEY

    protected static java.lang.String RADIOBOX_LABEL_STYLEMAP_KEY

### isNPeriodsNonBlankErrorMessage

    protected java.lang.String isNPeriodsNonBlankErrorMessage

### isNPeriodsNonNumericErrorMessage

    protected java.lang.String isNPeriodsNonNumericErrorMessage

### isNPeriodsNonIntegerErrorMessage

    protected java.lang.String isNPeriodsNonIntegerErrorMessage

### isNPeriodsMinValueValidErrorMessage

    protected java.lang.String isNPeriodsMinValueValidErrorMessage

### noStartingPeriodSelectedErrorMessage

    protected java.lang.String noStartingPeriodSelectedErrorMessage

### noEndingPeriodSelectedErrorMessage

    protected java.lang.String noEndingPeriodSelectedErrorMessage

Constructor Detail

### OLAPTimeBasedFilterSelectorPanel

    public OLAPTimeBasedFilterSelectorPanel()

  Default constructor.

### OLAPTimeBasedFilterSelectorPanel

    public OLAPTimeBasedFilterSelectorPanel(java.lang.String name)

  Constructor using the given name.

  Parameters:
    `name` - String to set the name

### OLAPTimeBasedFilterSelectorPanel

    public OLAPTimeBasedFilterSelectorPanel(java.lang.String name,
                                            Form containerTreeRemoteScriptForm)

Method Detail

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `BaseTransformation`
  Sets the locale dependent properties. Not operational at this level.

  Overrides:
    `setLocaleDependentProperties` in class `BaseTransformation`

### addComponents

    protected void addComponents()

  Creates the components and adds them to the selector's template dictionary.

### setComponentValues

    protected void setComponentValues()

  Populates ChoiceBoxes TextEntries etc.

### write

    public void write(java.io.PrintWriter out,
                      boolean isComponent)
               throws java.io.IOException

  Parameters:
    `out` - the OutputStream to write to
    `isComponent` - true if this panel is being included into another, false otherwise
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Description copied from class: `BaseCompositeTransformation`
  Writes the custom attributes of the object. All transformation beans should override this method and call SUPER.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseCompositeTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### setSelectorModel

    public void setSelectorModel(java.lang.Object selectormodel)

  Sets the selector's data model

  Overrides:
    `setSelectorModel` in class `BaseSelectorPanel`
  Parameters:
    `selectormodel` - The selector's data model

### cleanUpResources

    public void cleanUpResources()

  Description copied from class: `BaseTransformation`
  This method releases all of the necessary resources that were needed by the transformation bean to render itself. These resources include fields such as `request` and `response`. This method calls the setRequest and setResponse methods with a null value.

  Overrides:
    `cleanUpResources` in class `BaseTransformation`

### writeActionProviderFields

    protected void writeActionProviderFields(java.io.PrintWriter out)

  Writes the fields needed to identify the ActionProvider, the CMDID and the selector's MODE.

  Parameters:
    `out` - The PrintWriter to which the fields should be written.

### getJavaScriptOLAPTimeBasedFilterSelectorVariableName

    public java.lang.String getJavaScriptOLAPTimeBasedFilterSelectorVariableName()

  Specified by:
    `getJavaScriptOLAPTimeBasedFilterSelectorVariableName` in interface `OLAPTimeBasedFilterSelectorKeysInterface`
  Returns:
    the name of the JavaScript variable used to hold the instance of the OLAPTimeBasedFilterSelector JavaScript object

### setIsComponent

    public void setIsComponent(boolean isComponent)

  Description copied from interface: `ComponentSelectorInterface`
  Sets the isComponent flag

  Specified by:
    `setIsComponent` in interface `ComponentSelectorInterface`
  Parameters:
    `isComponent` - true if this selector is included by another selector, false otherwise.

### isComponent

    public boolean isComponent()

  Specified by:
    `isComponent` in interface `ComponentSelectorInterface`
  Returns:
    true if this selector is included by another selector, false otherwise.

### setContainerFormName

    public void setContainerFormName(java.lang.String value)

  Description copied from interface: `ComponentSelectorPanelInterface`
  Sets the name of the form object of the container panel.

  Specified by:
    `setContainerFormName` in interface `ComponentSelectorPanelInterface`
  Parameters:
    `value` - the name of the form object of the container panel.

### getContainerFormName

    public java.lang.String getContainerFormName()

  Description copied from interface: `ComponentSelectorPanelInterface`
  Returns the name of the form object of the container panel.

  Specified by:
    `getContainerFormName` in interface `ComponentSelectorPanelInterface`
  Returns:
    the name of the form object of the container panel.

### setContainerRemoteScriptingFormName

    public void setContainerRemoteScriptingFormName(java.lang.String value)

  Description copied from interface: `ComponentSelectorPanelInterface`
  Sets the name of the remote scripting form object of the container panel.

  Specified by:
    `setContainerRemoteScriptingFormName` in interface `ComponentSelectorPanelInterface`
  Parameters:
    `value` - the name of the remote scripting form object of the container panel.

### getContainerRemoteScriptingFormName

    public java.lang.String getContainerRemoteScriptingFormName()

  Description copied from interface: `ComponentSelectorPanelInterface`
  Returns the name of the remote scripting form object of the container panel.

  Specified by:
    `getContainerRemoteScriptingFormName` in interface `ComponentSelectorPanelInterface`
  Returns:
    the name of the remote scripting form object of the container panel.

### setContainerRemoteTreeScriptForm

    protected void setContainerRemoteTreeScriptForm(Form form)

### writeRemoteScriptCommands

    public void writeRemoteScriptCommands(java.io.PrintWriter out)
                                   throws java.io.IOException

  Writes out the remote script commands for updating the selector

  Overrides:
    `writeRemoteScriptCommands` in class `SelectorPanel`
  Parameters:
    `out` - The PrintWriter
  Throws:
    `java.io.IOException`

### close

    public void close()

  Description copied from class: `SelectorPanel`
  Base implementation that does nothing.

  Subclasses may override this when they want to know a commit or cancel has occured on the selector.

  Overrides:
    `close` in class `SelectorPanel`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.